#include <sys/kauth.h>

uid_t	kauth_getuid(void){
printf ("kauth_getuid");
};

uid_t	kauth_cred_getuid(kauth_cred_t _cred){
printf ("kauth_cred_getuid",_cred);
};

void	kauth_unlisten_scope(kauth_listener_t _scope){
printf ("kauth_unlisten_scope",_scope);
};

kauth_listener_t kauth_listen_scope(const char *_identifier, kauth_scope_callback_t _callback, void *_idata){
printf ("kauth_listen_scope",*_identifier,_callback,_idata);
};

